Subject: Re: [PATCH v2 1/2] powerpc/mpc85xx: support the MTD for p1022ds flash

From: Timur Tabi <[email-masked]>
Date: Wed, 18 Apr 2012 17:01:32 -0500

Huang Changming-R66093 wrote:
> But, I observed the Call Trace, but the partition can be parsed correctly.
> Maybe your patch can fix this Call Trace.

Can you post the call trace?

I think the reason this patch works is because the localbus node is not
already probed by mpc85xx_common_publish_devices().
mpc85xx_common_publish_devices() has this line in it:

	{ .name = "localbus", },

But this does not work any more, because all of our 85xx localbus nodes
are now called "localbus@ffe05000".

I'm beginning to hate mpc85xx_common_publish_devices() now.  Not only
because it's broken for the P1022DS, but also because it's not
set-in-stone like everyone thought.

-- 
Timur Tabi
Linux kernel developer at Freescale